%define name khrono
%define version 2.0
%define release 4mdk

Name: 		%name
Summary: 	A watch, timer and countdown for KDE 2
Version: 	%version
Release: 	%release
License: 	GPL
Group: 		Graphical desktop/KDE
Source: 	%name-%version.tar.bz2
BuildRoot: 	%_tmppath/%name-buildroot
BuildRequires:  gcc-cpp db3 readline pam popt libtermcap2 zlib1 XFree86-devel XFree86-libs Mesa-common
BuildRequires:  XFree86-static-libs automake arts autoconf diffutils kdelibs file m4 texinfo gettext
BuildRequires:  libjpeg62-devel kdelibs-devel gcc-c++ libarts2 libbinutils2 libbzip2_1 db1 freetype2
BuildRequires:  libjpeg62 libmng1 libpng2 libqt2 libqt2-devel rpm-build


%description
Khrono is a watch, timer and countdown for KDE 2. It is controllable
through its main window or through it's dock icon on the panel.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n khrono-2.0

%build
CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" \
./configure i586-mandrake-linux --disable-debug \
				--enable-final \
				--prefix=%{_prefix} \
				--disable-rpath
%make

%install
make DESTDIR=$RPM_BUILD_ROOT install

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/khrono"\
title="Khrono"\
icon="%{name}.png"\
longtitle="Watch, timer and countdown for KDE"\
needs="x11"\
section="Office"
EOF
)


%post
%{update_menus}

%postun
%{clean_menus}


%files
%defattr (-,root,root)
%doc AUTHORS COPYING INSTALL NEWS VERSION README THANKS
%_bindir/*

%_datadir/applnk/Utilities/*
#
%dir %_datadir/apps/khrono/
%dir %_datadir/apps/khrono/pics
%dir %_datadir/apps/khrono/sounds/
%_datadir/apps/khrono/pics/*.gif
%_datadir/apps/khrono/sounds/*.wav
#

%dir %_datadir/doc/HTML/en/khrono/
%doc %_datadir/doc/HTML/en/khrono/*.html
%doc %_datadir/doc/HTML/en/khrono/*.png
#

%_datadir/icons/hicolor/48x48/apps/*.png
%_datadir/icons/locolor/16x16/apps/*.png
%_datadir/icons/locolor/32x32/apps/*.png

%_menudir/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Apr 10 2001 David BAUENS <baudens@mandrakesoft.com> 2.0-4mdk
- Move KDE menu entry in %%_datadir/applnk
- Fix BuildRequires for non %%ix86 architectures
- Really use optimizations
- Rebuild against latest GCC

* Wed Mar 28 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0-3mdk
- Clean spec and add build requires

* Tue Mar 20 2001 David BAUDENS <baudens@mandrakesoft.com> 2.0-2mdk
- Rebuild against Qt 2.3.0

* Thu Mar 08 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.0-1mdk
- added in contribs by Axel von Arnim <vonarnim@club-internet.fr> :
	- KDE 2 version of Khrono
	- first RPM release
